Subject: Re: Nits abut the italian translation

From: Stefano Lattarini <[email-masked]>
Date: Fri, 01 Jun 2012 15:31:32 +0200

On 06/01/2012 02:36 PM, Marco Paolone wrote:
> On Fri, Jun 01, 2012 at 01:33:33PM +0200, Stefano Lattarini wrote:
>> I see few minor issues with the new translations; I hope it's OK if I report
>> them here.  Do not consider the following as an exhaustive list, since I've
>> just skimmed the it.po file.  And sorry for the messy and out-of-order report,
>> but I'm short of time in these days.
> 
> Thanks for your report, I'll fix them in next commit.
>
Thanks.

> We could even leave terms like "branch" or "tree" untranslated, but translation
> wouldn't have much sense at this point. Some guides, like [1] use "ramo" or
> "albero" to better explain how Git works, especially for beginners. Obviously
> we should leave terms like "cherry-pick" or "push" as is.  What do you suggest?
>
I have no strong feeling honestly (as I'm no user of localized messages myself);
what I suggest is that you should decide to either translate all the "translatable"
technical terms (e.g., if you go for "branch -> ramo" and "tree -> albero", you
must also go for "tag -> etichetta"), or none of them (that is my personal opinion
though, and other people might legitimately disagree).  In the former case, adding
a new help category (say "translation") that explains how the terms and concepts
are mapped from the original english to the current language might be a good idea:

  $ git help translation
  Git parla italiano ora!
  [ ... blah blah ... piu' dettagli qui ...]
  branch -> ramo
  tag -> etichetta
  directory -> cartella
  ...

Regards,
  Stefano